Bug 208779 - add keyboard selector in the panel by default
add keyboard selector in the panel by default
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-10-01 19:12 EDT by Dimitris
Modified: 2010-03-11 10:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-14 16:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitris 2006-10-01 19:12:24 EDT
Please add the keyboard selector applet into the panel by default when a
non-English language has been selected from the installation or when a
non-English language is the default locale in the system.

Currently our users are having problems after the installation, trying to
understand how to switch languages. It would be nice if the indicator in the
panel was there once they logged in for the first time, they'd be able to start
right away.

In addition, new users find it very hard to add the keyboard selector, since
they aren't aware of the procedure (right-click, add to panel, etc..).

Thank you
Comment 1 Dimitris 2006-10-01 19:20:29 EDT
It would also be nice if this happened in FC6, since we plan on giving it away
on DVD.
Comment 2 Dimitris Glezos 2006-10-08 20:25:00 EDT
Should this particular request (panel keyboard language indicator) be reported
upstream to GNOME?

Nevertheless, Fedora could implement the keyboard switching by default through
`xorg.conf`. This is important because greek users are used to use Alt-Shift for
this purpose and many first-time users don't know how to add the language
indicator on the panel.

Furthermore, if we add the xorg way nevertheless, Anaconda could use it so that
users would be able to write non-english characters during the installation process.
Comment 3 Bug Zapper 2008-04-03 14:23:33 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Nikos Charonitakis 2008-04-03 14:32:53 EDT
This is not a bug but a request for enhancement.
It is still valid. I think that the most frequntly asked question by Greek users
is how to add Greek keyboard to GNOME desktop. It will be nice if installation
takes care of it.
Comment 5 Ray Strode [halfline] 2008-11-12 10:29:10 EST
is it still a frequent question now that users can select a keyboard layout at the login screen?
Comment 6 Nikos Charonitakis 2008-11-12 10:55:33 EST
well, i saw the new keyboard selector at login. This was a new disaster :)
see https://bugzilla.redhat.com/show_bug.cgi?id=469761

Any way, what changes now?
You select Greek keyboard at login and by doing this you cant even login...
If you decide to login at last, you select US keyboard.

I ve done this way and i have again to set keyboard applet from scratch  adding greek keyboard etc

Now is even missing xorg.conf line (actually their is no xorg.conf at all) for Greek keyboard, so the usual layout combination does not work.

Situation is even worst today ;)
Comment 7 Alexey Torkhov 2009-05-27 14:48:57 EDT
According to bug 492540 keyboard layout chooser at login is not intended to configure complex layouts. It would be better to have keyboard applet by default, otherwise users in many cases are unable to switch layouts.
Comment 8 Matthias Clasen 2010-02-14 16:04:06 EST
In F13, the keyboard applet has been converted to a statusicon that will show up automatically if more than one layout is configured.
Comment 9 Nikos Charonitakis 2010-03-11 10:26:29 EST
I tried F13 alpha Livecd and the only "visible" way to change layout is to logout from my account change keyboard layout at gdm login screen and login again.
Am i missing something?

Note You need to log in before you can comment on or make changes to this bug.